Bug 994021 - parrot possibly affected by F-20 unversioned docdir change
parrot possibly affected by F-20 unversioned docdir change
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parrot (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gerd Pokorra
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Changes...
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-06 09:57 EDT by Ville Skyttä
Modified: 2013-10-04 11:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-04 11:17:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Docdir fixes (2.83 KB, patch)
2013-08-08 06:32 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2013-08-06 09:57:20 EDT
parrot was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183943
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183973
Comment 1 Gerd Pokorra 2013-08-07 11:35:09 EDT
The grep matches the content of desktop files.


parrot.spec part:
...
#install desktop file
%{__mkdir} ${RPM_BUILD_ROOT}%{_datadir}/applications/
%{__tar} xzf %{SOURCE1} parrot_html.desk.in --to-stdout | %{__sed} "s|@DOCDIR@|%{_docdir}/%{name}-docs-%{version}|g" > ${RPM_BUILD_ROOT}%{_datadir}/applications/parrot_html.desktop
%{__tar} xzf %{SOURCE1} parrot_pdf.desk.in --to-stdout | %{__sed} "s|@DOCDIR@|%{_docdir}/%{name}-docs-%{version}|g" > ${RPM_BUILD_ROOT}%{_datadir}/applications/parrot_pdf.desktop
...


Could this still reamin versioned?
Comment 2 Ville Skyttä 2013-08-08 06:32:00 EDT
Created attachment 784305 [details]
Docdir fixes

It shouldn't, because the docs are not actually installed into versioned dirs.
http://koji.fedoraproject.org/koji/rpminfo?rpmID=4237647

The attached patch is one approach to fixing this, and it also moves the docs to simply /usr/share/doc/parrot which makes more sense than a separate /usr/share/doc/parrot-docs dir to me (see links in the initial commit). Tested only on F-19 because Rawhide buildroot has broken deps at the moment, but should work and do the right thing there as well.

By the way, why "hide" the desktop files inside a tarball instead of just having them as is in git?
Comment 3 Gerd Pokorra 2013-08-09 04:50:22 EDT
Thank you very much for the patch. I added the patch and build for F-20 at:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5797038

What do you mean with having the desktop files in a git? Should they included in the upstream of Parrot?
Comment 4 Ville Skyttä 2013-08-10 03:39:50 EDT
(In reply to Gerd Pokorra from comment #3)
> What do you mean with having the desktop files in a git?

Having them in Fedora git instead of in a tarball in the lookaside cache. Basically this in your parrot package git clone:

$ tar xf parrot.desk.in.tar.gz
$ git add parrot_html.desk.in parrot_pdf.desk.in

...and then remove the parrot.desk.in.tar.gz and adjust specfile to use parrot_html.desk.in parrot_pdf.desk.in as SourceX instead of parrot.desk.in.tar.gz
Comment 5 Fedora End Of Life 2013-09-16 12:53:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Gerd Pokorra 2013-10-04 11:17:13 EDT
(In reply to Ville Skyttä from comment #4)
> (In reply to Gerd Pokorra from comment #3)
> > What do you mean with having the desktop files in a git?
> 
> Having them in Fedora git instead of in a tarball in the lookaside cache.
> Basically this in your parrot package git clone:
> 
> $ tar xf parrot.desk.in.tar.gz
> $ git add parrot_html.desk.in parrot_pdf.desk.in
> 
> ...and then remove the parrot.desk.in.tar.gz and adjust specfile to use
> parrot_html.desk.in parrot_pdf.desk.in as SourceX instead of
> parrot.desk.in.tar.gz

I just builded parrot 5.5.0 in rawhide (f21).

http://koji.fedoraproject.org/koji/taskinfo?taskID=6024672

I added a patch und so also put the desktop files in that patch.

With the unversioned docdir there is no need to modify them in the spec-file.

Now they will only be installed.

Thank you again for the help!

Note You need to log in before you can comment on or make changes to this bug.